package cn.granitech.pluginDemo.controller;

import cn.granitech.pluginDemo.service.DemoService;
import cn.granitech.util.ResponseHelper;
import cn.granitech.web.pojo.ResponseBean;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Author lg
 * @Date 2023/12/21 10:54
 * @Description: TODO
 */
@RestController
@RequestMapping("/demo")
public class DemoController {

    @Resource
    DemoService demoService;

    /**
     * 演示方法
     *
     * @param recordId 数据ID
     *
     * @return 返回格式建议使用 ResponseBean。
     *         当然，你也可以使用你想要的任意格式。
     */
    @RequestMapping("/demo")
    public ResponseBean demo(@RequestParam("id") String recordId) {
        String test = demoService.demo(recordId);
        return ResponseHelper.ok(test, "success");
    }


}
