package cn.granitech.pluginDemo.config;

import cn.granitech.util.LoginInterceptorHelper;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;


/**
 * @Author lg
 * @Date 2023/8/17 9:41
 * @Description: 项目启动完成执行
 */
@Component
public class InitProject implements ApplicationRunner {


    /**
     * 项目启动完成执行
     * 请勿直接书写业务代码
     * @param args
     * @throws Exception
     */
    @Override
    public void run(ApplicationArguments args){
        //默认所有接口都需要登录了才能访问，可以通过该方法放开登录拦截
        LoginInterceptorHelper.addSkipInterceptorPath("demo/demo");
    }



}
